Bug 1417776 - [dev-preview-stg] amq62-basic fails to deploy: Failed to pull image jboss-amq-62: unauthorized: authentication required
Summary: [dev-preview-stg] amq62-basic fails to deploy: Failed to pull image jboss-am...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image
Version: 3.x
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Vu Dinh
QA Contact: Walid A.
URL:
Whiteboard: online_3.4.1
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 23:20 UTC by Walid A.
Modified: 2017-04-05 20:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-05 20:51:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
Logs from failed pods and deployment configs (70.36 KB, text/plain)
2017-01-31 02:14 UTC, Walid A.
no flags Details

Description Walid A. 2017-01-30 23:20:00 UTC
Description of problem:
-----------------------
When executing testcase "show/check java components info on OpenShift console for ActiveMQ", on dev-preview OSO, and trying to deploy "amq62-basic" app from Console, broker-amq pods fail to deploy with error:

Failed to pull image "jboss-amq-62": unauthorized: authentication required


Version-Release number of selected component (if applicable):
Server https://api.dev-preview-stg.openshift.com:443
openshift v3.4.1.2
kubernetes v1.4.0+776c994

How reproducible:
-----------------
Reproducible

Steps to Reproduce:
--------------------
From a test client pointed to API address of OSO server above:
1. oc new-app amq62-basic -p MQ_USERNAME=admin -p MQ_PASSWORD=admin
This command generated error: no match for "amq62-basic"

2. oc create -f https://raw.githubusercontent.com/jboss-openshift/application-templates/master/amq/amq62-basic.json

3. oc new-app amq62-basic -p MQ_USERNAME=admin -p MQ_PASSWORD=admin

4. From Console, Applications -> Deployments -> broker-amq deploymentconfig, Click on Deploy


Actual results:
---------------
broker-amq pods failed to deploy successfully, well pull back off

Expected results:
broker-amq pods should be running

Additional info:

Comment 2 Walid A. 2017-01-31 02:14:53 UTC
Created attachment 1246052 [details]
Logs from failed pods and deployment configs

Comment 3 Walid A. 2017-01-31 02:32:36 UTC
Output from oc get dc/<dc_name> -o yaml:

# 
# oc get dc
NAME         REVISION   DESIRED   CURRENT   TRIGGERED BY
broker-amq   1          1         0         config,image(jboss-amq-62:1.3)
# 
# 
# oc get dc/broker-amq -o yaml
apiVersion: v1
kind: DeploymentConfig
metadata:
  annotations:
    openshift.io/generated-by: OpenShiftNewApp
  creationTimestamp: 2017-01-30T22:26:46Z
  generation: 2
  labels:
    app: amq62-basic
    application: broker
    template: amq62-basic
    xpaas: 1.3.1
  name: broker-amq
  namespace: walid-5
  resourceVersion: "86115482"
  selfLink: /oapi/v1/namespaces/walid-5/deploymentconfigs/broker-amq
  uid: 2f9ff003-e73b-11e6-ae14-0ee251450653
spec:
  replicas: 1
  selector:
    deploymentConfig: broker-amq
  strategy:
    resources: {}
    rollingParams:
      intervalSeconds: 1
      maxSurge: 0
      maxUnavailable: 25%
      timeoutSeconds: 600
      updatePeriodSeconds: 1
    type: Rolling
  template:
    metadata:
      annotations:
        openshift.io/generated-by: OpenShiftNewApp
      creationTimestamp: null
      labels:
        app: amq62-basic
        application: broker
        deploymentConfig: broker-amq
      name: broker-amq
    spec:
      containers:
      - env:
        - name: AMQ_USER
          value: admin
        - name: AMQ_PASSWORD
          value: admin
        - name: AMQ_TRANSPORTS
          value: openwire
        - name: AMQ_QUEUES
        - name: AMQ_TOPICS
        - name: MQ_SERIALIZABLE_PACKAGES
        - name: AMQ_MESH_DISCOVERY_TYPE
          value: kube
        - name: AMQ_MESH_SERVICE_NAME
          value: broker-amq-tcp
        - name: AMQ_MESH_SERVICE_NAMESPACE
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
        - name: AMQ_STORAGE_USAGE_LIMIT
          value: 100 gb
        image: jboss-amq-62
        imagePullPolicy: Always
        name: broker-amq
        ports:
        - containerPort: 8778
          name: jolokia
          protocol: TCP
        - containerPort: 5672
          name: amqp
          protocol: TCP
        - containerPort: 1883
          name: mqtt
          protocol: TCP
        - containerPort: 61613
          name: stomp
          protocol: TCP
        - containerPort: 61616
          name: tcp
          protocol: TCP
        readinessProbe:
          exec:
            command:
            - /bin/bash
            - -c
            - /opt/amq/bin/readinessProbe.sh
          failureThreshold: 3
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        resources: {}
        terminationMessagePath: /dev/termination-log
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      securityContext: {}
      terminationGracePeriodSeconds: 60
  test: false
  triggers:
  - imageChangeParams:
      automatic: true
      containerNames:
      - broker-amq
      from:
        kind: ImageStreamTag
        name: jboss-amq-62:1.3
        namespace: openshift
    type: ImageChange
  - type: ConfigChange
status:
  conditions:
  - lastTransitionTime: 2017-01-30T22:26:46Z
    message: Deployment config does not have minimum availability.
    status: "False"
    type: Available
  - lastTransitionTime: 2017-01-30T22:55:03Z
    message: Replication controller "broker-amq-1" has failed progressing
    reason: ProgressDeadlineExceeded
    status: "False"
    type: Progressing
  latestVersion: 1
  observedGeneration: 2
#

Comment 5 Stefanie Forrester 2017-01-31 21:36:18 UTC
dev-preview-stg uses registry.access to host images. If the image is missing from registry.access, it could be a paid image or unavailable for other reasons that the OpenShift team can't control. Reassigning to the Online team for investigation.

[root@dev-preview-stg-master-67fab ~]# docker pull jboss-amq-62
Using default tag: latest
Trying to pull repository registry.access.redhat.com/jboss-amq-62 ... 
Trying to pull repository docker.io/library/jboss-amq-62 ... 
unauthorized: authentication required
[root@dev-preview-stg-master-67fab ~]#

Comment 6 Jacob Lucky 2017-02-06 17:27:50 UTC
We currently do not ship this image or template in OpenShift Online Developer Preview. Why is it being tested and filed as a bug against OpenShift Online?

Comment 7 Abhishek Gupta 2017-02-10 17:08:50 UTC
Assigning to QE to modify their test cases.

Comment 8 Mike Fiedler 2017-02-10 19:52:15 UTC
The template was available in Online staging.  Shouldn't it be removed from that deployment?

Comment 9 Vu Dinh 2017-02-10 20:27:59 UTC
The template is no longer present on STG as I do not see it.

Thanks,
Vu

Comment 10 Mike Fiedler 2017-02-10 20:49:20 UTC
@wabouham, please verify

Comment 11 Walid A. 2017-02-14 04:25:25 UTC
The template is not present on dev-preview-stg.


Note You need to log in before you can comment on or make changes to this bug.